Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.densify
Class Densifier

    java.lang.Object
      com.vividsolutions.jts.densify.Densifier

    public class Densifier

extends java.lang.Object

Densifies a `Geometry` by inserting extra vertices along the line segments contained in the geometry. All segments in the created densified geometry will be no longer than than the given distance tolerance. Densified polygonal geometries are guaranteed to be topologically correct. The coordinates created during densification respect the input geometry's `PrecisionModel`.

Note: At some future point this class will offer a variety of densification strategies.

Author:
  Martin Davis

Constructor Summary
`Densifier(Geometry inputGeom)` Creates a new densifier instance.

Method Summary
`static Geometry` | `densify(Geometry geom, double distanceTolerance)` Densifies a geometry using a given distance tolerance, and respecting the input geometry's `PrecisionModel`.
`Geometry` | `getResultGeometry()` Gets the densified geometry.
`void` | `setDistanceTolerance(double distanceTolerance)` Sets the distance tolerance for the densification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Densifier

    public Densifier(Geometry inputGeom)

  Creates a new densifier instance.

  Parameters:
    `inputGeom` -

Method Detail

### densify

    public static Geometry densify(Geometry geom,
                                   double distanceTolerance)

  Densifies a geometry using a given distance tolerance, and respecting the input geometry's `PrecisionModel`.

  Parameters:
    `geom` - the geometry to densify
    `distanceTolerance` - the distance tolerance to densify
  Returns:
    the densified geometry

### setDistanceTolerance

    public void setDistanceTolerance(double distanceTolerance)

  Sets the distance tolerance for the densification. All line segments in the densified geometry will be no longer than the distance tolereance. simplified geometry will be within this distance of the original geometry. The distance tolerance must be positive.

  Parameters:
    `distanceTolerance` - the densification tolerance to use

### getResultGeometry

    public Geometry getResultGeometry()

  Gets the densified geometry.

  Returns:
    the densified geometry

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD